MagickCore: fx.h File Reference

# fx.h File Reference

`#include "magick/draw.h"`

Go to the source code of this file.

## Enumerations
enum | MagickEvaluateOperator { UndefinedEvaluateOperator, AddEvaluateOperator, AndEvaluateOperator, DivideEvaluateOperator, LeftShiftEvaluateOperator, MaxEvaluateOperator, MinEvaluateOperator, MultiplyEvaluateOperator, OrEvaluateOperator, RightShiftEvaluateOperator, SetEvaluateOperator, SubtractEvaluateOperator, XorEvaluateOperator }
## Functions
MagickExport Image * | CharcoalImage (const Image *, const double, const double, ExceptionInfo *)
MagickExport Image ** | ColorizeImage (const Image *, const char *, const PixelPacket, ExceptionInfo *)
MagickExport Image *** | ConvolveImage (const Image *, const unsigned long, const double *, ExceptionInfo *)
MagickExport Image **** | ConvolveImageChannel (const Image *, const ChannelType, const unsigned long, const double *, ExceptionInfo *)
MagickExport Image ***** | FxImage (const Image *, const char *, ExceptionInfo *)
MagickExport Image ****** | FxImageChannel (const Image *, const ChannelType, const char *, ExceptionInfo *)
MagickExport Image ******* | ImplodeImage (const Image *, const double, ExceptionInfo *)
MagickExport Image ******** | MorphImages (const Image *, const unsigned long, ExceptionInfo *)
MagickExport Image ********* | PolaroidImage (const Image *, const DrawInfo *, const double, ExceptionInfo *)
MagickExport Image ********** | RecolorImage (const Image *, const unsigned long, const double *, ExceptionInfo *)
MagickExport Image *********** | SepiaToneImage (const Image *, const double, ExceptionInfo *)
MagickExport Image ************ | ShadowImage (const Image *, const double, const double, const long, const long, ExceptionInfo *)
MagickExport Image ************* | SketchImage (const Image *, const double, const double, const double, ExceptionInfo *)
MagickExport Image ************** | SteganoImage (const Image *, const Image *, ExceptionInfo *)
MagickExport Image *************** | StereoImage (const Image *, const Image *, ExceptionInfo *)
MagickExport Image **************** | SwirlImage (const Image *, double, ExceptionInfo *)
MagickExport Image ***************** | TintImage (const Image *, const char *, const PixelPacket, ExceptionInfo *)
MagickExport Image ****************** | VignetteImage (const Image *, const double, const double, const long, const long, ExceptionInfo *)
MagickExport Image ******************* | WaveImage (const Image *, const double, const double, ExceptionInfo *)
MagickExport MagickBooleanType | EvaluateImage (Image *, const MagickEvaluateOperator, const double, ExceptionInfo *)
MagickExport MagickBooleanType | EvaluateImageChannel (Image *, const ChannelType, const MagickEvaluateOperator, const double, ExceptionInfo *)
MagickExport MagickBooleanType | SolarizeImage (Image *, const double)

## Enumeration Type Documentation

enum MagickEvaluateOperator

Enumerator:

  UndefinedEvaluateOperator |
  AddEvaluateOperator |
  AndEvaluateOperator |
  DivideEvaluateOperator |
  LeftShiftEvaluateOperator |
  MaxEvaluateOperator |
  MinEvaluateOperator |
  MultiplyEvaluateOperator |
  OrEvaluateOperator |
  RightShiftEvaluateOperator |
  SetEvaluateOperator |
  SubtractEvaluateOperator |
  XorEvaluateOperator |

## Function Documentation

MagickExport Image* CharcoalImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * ColorizeImage | ( | const Image * | ,
|  | const char * | ,
|  | const | PixelPacket,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * ConvolveImage | ( | const Image * | ,
|  | const unsigned long | ,
|  | const double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * ConvolveImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const unsigned long | ,
|  | const double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType EvaluateImage | ( | Image * | ,
|  | const | MagickEvaluateOperator,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType EvaluateImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const | MagickEvaluateOperator,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * FxImage | ( | const Image * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * FxImageChannel | ( | const Image * | ,
|  | const | ChannelType,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * ImplodeImage | ( | const Image * | ,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * MorphImages | ( | const Image * | ,
|  | const unsigned long | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * PolaroidImage | ( | const Image * | ,
|  | const DrawInfo * | ,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * RecolorImage | ( | const Image * | ,
|  | const unsigned long | ,
|  | const double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * SepiaToneImage | ( | const Image * | ,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * ShadowImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * SketchImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType SolarizeImage | ( | Image * | ,
|  | const | double |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * SteganoImage | ( | const Image * | ,
|  | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * StereoImage | ( | const Image * | ,
|  | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * SwirlImage | ( | const Image * | ,
|  | double | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * TintImage | ( | const Image * | ,
|  | const char * | ,
|  | const | PixelPacket,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * VignetteImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * * * * * * * * * * WaveImage | ( | const Image * | ,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |